Subject: git-svn mergeinfo

From: Brice Goglin <[email-masked]>
Date: Tue, 11 Sep 2012 14:01:01 +0200

Hello,

I am using git 1.7.10.4 from Debian. I just tried svn.pushmergeinfo and
it seems to have worked fine, great.

Now I am trying to understand what the doc says about this:
"Currently, this can only be done when dcommitting non-fast-forward
merges where all parents but the first have already been pushed into SVN."

"all parents but the first have already been pushed into SVN" means that
merging A into B requires to dcommit in A first, right?
"non-fast-forward" means that both branches got some commits since the
last merge, right?

Could we add an example after the above doc sentence? Something like
"For instance, if merging SVN branch B into A, make sure you dcommit A
first, and check that both A and B got new commits since the last merge
(or since B was created from A)".

Brice